%define pluginshome /usr/lib/yum-plugins

Name:           yum-axelget
Version:        1.0.5.1
Release:        2.20140522gitad6fb3e%{?dist}
Summary:        Download accelerator plug-in for Yum

Group:          Applications/Internet
License:        GPLv3
URL:            https://github.com/crook/yum-axelget
Source0:        yum-axelget-1.0.5.1.20140522gitad6fb3e.tar.gz
Patch0:         01-typo-fix.patch

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools
Requires:       axel, yum, yum-plugin-fastestmirror

%description
This is a plug-in for the Yum package tool. It speeds up your
downloads using the Axel download accelerator client.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.md LICENSE
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/axelget.conf
%{pluginshome}/axelget.py*
%{python_sitelib}/*.egg-info

%changelog
* Fri May 03 2019 Andrea Veri <averi@fedoraproject.org> - 1.0.5.1-2.20140522gitad6fb3e
- Incorporate an upstream typo fix (Fixes RH BZ #1402044)

* Thu May 22 2014 Andrea Veri <averi@fedoraproject.org> - 1.0.5.1-1.20140522gitad6fb3e
- New upstream release.

* Mon Apr 14 2014 Andrea Veri <averi@fedoraproject.org> - 1.0.4-1.20140414git90159ff
- New upstream release. Rebased from https://github.com/crook/yum-axelget.

* Tue Apr 08 2014 Andrea Veri <averi@fedoraproject.org> - 0.2-5.20140407svn14
- Add a define for the /usr/lib/yum-plugins directory to avoid hardcoding it.
- Adjust the changelog release numbers.

* Mon Apr 07 2014 Andrea Veri <averi@fedoraproject.org> - 0.2-4.20140407svn14
- Presto's API was moved to Yum itself since Fedora 18. Upstream has just
  ported yum-axelget's code to cope with that. Also remove any reference
  to EPEL, we won't branch this package to any EL branch for now to not keep
  the old sources around at all. (EL7 might be a first good target though given
  it makes use of a newer Yum than the one in EPEL 5/6)

* Wed Oct 02 2013 Andrea Veri <averi@fedoraproject.org> - 0.2-3.20130621svn12
- Added the full path to the axelget.py file.
- Removed the wildcard from the python_sitelib folder for the package to not
  gain the wrong ownership on the files hosted there.
- Added a doc statement and included the README and LICENSE file.
- Removed the python_sitelib definition. It shouldn't be needed.

* Fri Jun 21 2013 Andrea Veri <averi@fedoraproject.org> - 0.2-2.20130621svn12
- Improved the summary and description fields. Thanks Michael Schwendt.
- Add an if statement for making sure a requires is setup for yum-presto on
  RHEL systems. Fedora merged yum-presto into yum itself lately.

* Thu Jun 20 2013 Andrea Veri <averi@fedoraproject.org> - 0.2-1.20130620svn12
- First package release.
